Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.security
Class Group

    java.lang.Object
      |
      +--com.compoze.security.PrincipalImpl
            |
            +--com.compoze.security.Group

All Implemented Interfaces:
  java.security.Principal, java.io.Serializable

public class Group
extends PrincipalImpl
implements java.io.Serializable

This class represents a group of principals. A principal represents an entity such as an individual user.

See Also:
  `User`, `IUserAuthenticationFactory`, Serialized Form

Constructor Summary
`Group()` Constructor.
`Group(java.lang.String sName)` Constructor.

Method Summary
`void` | `addProperty(java.lang.String sPropertyTag, java.lang.Object property)` Adds the property to the group.
`boolean` | `equals(java.lang.Object obj)` Compares this principal to the specified object.
`java.lang.String` | `getDescription()` Gets the description of the group.
`java.lang.Object` | `getProperty(java.lang.String sPropertyTag)` Gets a property of the group.
`java.util.Map` | `getPropeties()` Gets the properties of the group.

Methods inherited from class com.compoze.security.PrincipalImpl
`getName, getPrincipal, setName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`hashCode`

Constructor Detail

### Group

    public Group()

  Constructor. NOTE: This default constructor technically leaves the group in an invalid state.

### Group

    public Group(java.lang.String sName)

  Constructor.
  Parameters:
    `sName` - the unique name of this group (may not be `null`)

Method Detail

### getDescription

    public java.lang.String getDescription()

  Gets the description of the group.
  Returns:
    the description of the group

### equals

    public boolean equals(java.lang.Object obj)

  Compares this principal to the specified object.
  Overrides:
    `equals` in class `PrincipalImpl`
  Parameters:
    `obj` - principal to compare with
  Returns:
    `true` if the principal passed in is the same as that encapsulated by this principal; `false` otherwise

### addProperty

    public void addProperty(java.lang.String sPropertyTag,
                            java.lang.Object property)

  Adds the property to the group.
  Parameters:
    `sPropertyTag` - the property tag
    `property` - the property value

### getProperty

    public java.lang.Object getProperty(java.lang.String sPropertyTag)

  Gets a property of the group.
  Parameters:
    `sPropertyTag` - the property tag to get
  Returns:
    the value of the property or `null` if property does not exist

### getPropeties

    public java.util.Map getPropeties()

  Gets the properties of the group.
  Returns:
    a map of properties associated with this group (un-modifiable)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.